aboutsummaryrefslogtreecommitdiff
path: root/twitch-stream.sh
diff options
context:
space:
mode:
authordec05eba <dec05eba@protonmail.com>2022-03-25 01:09:12 +0100
committerdec05eba <dec05eba@protonmail.com>2022-03-25 03:25:36 +0100
commita99f010603be2d7efa7e936b0895dda33931b135 (patch)
tree58ab0a458a502e015d60246d012896f2fb9dfc2e /twitch-stream.sh
parent5415f56140fc5a77e72973bb7f0c10d059a93959 (diff)
Redesign replay to save to file and continue on SIGUSR1
Diffstat (limited to 'twitch-stream.sh')
-rwxr-xr-xtwitch-stream.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/twitch-stream.sh b/twitch-stream.sh
index fac052b..28d0eb1 100755
--- a/twitch-stream.sh
+++ b/twitch-stream.sh
@@ -1,4 +1,5 @@
#!/bin/sh
-[ "$#" -ne 4 ] && echo "usage: twitch-stream.sh <window_id> <fps> <audio_input> <livestream_key>" && exit 1
-./gpu-screen-recorder -w "$1" -c flv -f "$2" -a "$3" | ffmpeg -i pipe:0 -c:v copy -f flv -- "rtmp://live.twitch.tv/app/$4"
+[ "$#" -ne 3 ] && echo "usage: twitch-stream.sh <window_id> <fps> <livestream_key>" && exit 1
+active_sink="$(pactl get-default-sink).monitor"
+./gpu-screen-recorder -w "$1" -c flv -f "$2" -a "$active_sink" | ffmpeg -i pipe:0 -c:v copy -f flv -- "rtmp://live.twitch.tv/app/$3"